Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.categorization.model
Interface VCategorizationElement

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VContainedElement, VElement

All Known Implementing Classes:
  VCategorizationElementImpl

    public interface VCategorizationElement

extends VContainedElement

A representation of the model object 'Element'.

The following features are supported:

- `Categorizations`
- `Current Selection`
- `Main Category Depth`

See Also:
  `VCategorizationPackage.getCategorizationElement()`

Method Summary
`org.eclipse.emf.common.util.EList<VAbstractCategorization>` | `getCategorizations()` Returns the value of the 'Categorizations' containment reference list.
`VCategorizableElement` | `getCurrentSelection()` Returns the value of the 'Current Selection' reference.
`int` | `getMainCategoryDepth()` Returns the value of the 'Main Category Depth' attribute.
`void` | `setCurrentSelection(VCategorizableElement value)` Sets the value of the ' `Current Selection`' reference.
`void` | `setMainCategoryDepth(int value)` Sets the value of the ' `Main Category Depth`' attribute.

Methods inherited from interface org.eclipse.emf.ecp.view.spi.model.VElement
`getAttachments, getDiagnostic, getLabel, getName, isEnabled, isReadonly, isVisible, setDiagnostic, setEnabled, setLabel, setName, setReadonly, setVisible`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCategorizations

    org.eclipse.emf.common.util.EList<VAbstractCategorization> getCategorizations()

  Returns the value of the 'Categorizations' containment reference list. The list contents are of type `VAbstractCategorization`.

  If the meaning of the 'Categorizations' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Categorizations' containment reference list.
  See Also:
    `VCategorizationPackage.getCategorizationElement_Categorizations()`

### getCurrentSelection

    VCategorizableElement getCurrentSelection()

  Returns the value of the 'Current Selection' reference.

  If the meaning of the 'Current Selection' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Current Selection' reference.
  See Also:
    `setCurrentSelection(VCategorizableElement)`, `VCategorizationPackage.getCategorizationElement_CurrentSelection()`

### setCurrentSelection

    void setCurrentSelection(VCategorizableElement value)

  Sets the value of the ' `Current Selection`' reference.

  Parameters:
    `value` - the new value of the 'Current Selection' reference.
  See Also:
    `getCurrentSelection()`

### getMainCategoryDepth

    int getMainCategoryDepth()

  Returns the value of the 'Main Category Depth' attribute. The default value is `"0"`.

  If the meaning of the 'Main Category Depth' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Main Category Depth' attribute.
  See Also:
    `setMainCategoryDepth(int)`, `VCategorizationPackage.getCategorizationElement_MainCategoryDepth()`

### setMainCategoryDepth

    void setMainCategoryDepth(int value)

  Sets the value of the ' `Main Category Depth`' attribute.

  Parameters:
    `value` - the new value of the 'Main Category Depth' attribute.
  See Also:
    `getMainCategoryDepth()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.